Next: ACOSH, Previous: ACOS, Up: Intrinsic Procedures [Contents][Index]

### 9.7 `ACOSD` — Arccosine function, degrees

Description:

  `ACOSD(X)` computes the arccosine of X in degrees (inverse of `COSD(X)`).

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Standard:

  GNU extension, enabled with `-fdec-math`

Class:

  Elemental function

Syntax:

  `RESULT = ACOSD(X)`

Arguments:

  X | The type shall either be `REAL` with a magnitude that is less than or equal to one - or the type shall be `COMPLEX`.

Return value:

  The return value is of the same type and kind as X. The real part of the result is in degrees and lies in the range 0 \leq \Re \acos(x) \leq 180.

Example:

      program test_acosd
        real(8) :: x = 0.866_8
        x = acosd(x)
      end program test_acosd

Specific names:

  Name | Argument | Return type | Standard
  `ACOSD(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DACOSD(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:

  Inverse function: COSD Radians function: ACOS